#
# spec file for package yast2-update (Version 2.17.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yast2-update
Version:        2.17.1
Release:        1
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-update-2.17.1.tar.bz2
Prefix:         /usr
BuildRequires:  perl-XML-Writer update-desktop-files yast2-devtools yast2-packager yast2-storage yast2-testsuite
# Wizard::OpenOKDialog
BuildRequires:  yast2 >= 2.16.49
# package not really needed to be installed but this breaks the building cycle
# Installation::installedVersion && Installation::updateVersion
# Update::* moved to Installation::update_*
Requires:       yast2 >= 2.16.5
Requires:       yast2-installation
Requires:       yast2-packager
# moved into yast2-update from yast2-installation
# to remove dependency on yast2-storage
Provides:       yast2-installation:/usr/share/YaST2/clients/vendor.ycp
# Required only in inst-sys
# Requires:	yast2-storage
# Requires:	yast2-country
# Pkg::PkgUpdateAll (map conf)
Conflicts:      yast2-pkg-bindings < 2.15.11
# Storage::DeviceMatchFstab (#244117)
Conflicts:      yast2-storage < 2.15.4
Summary:        YaST2 - Update

%package FACTORY
License:        GPL v2 or later
Group:          System/YaST
PreReq:         %fillup_prereq
Requires:       yast2-update yast2
# moved into yast2-update from yast2-installation
# to remove dependency on yast2-storage
Provides:       yast2-update:/usr/share/YaST2/clients/update.ycp
Summary:        YaST2 - Update

%description
Use this component if you wish to update your system.



Authors:
--------
    Stefan Schubert <schubi@suse.de>
    Arvin Schnell <arvin@suse.de>
    Jiri Srain <jsrain@suse.cz>

%description FACTORY
Use this component if you wish to update your system.



Authors:
--------
    Stefan Schubert <schubi@suse.de>
    Arvin Schnell <arvin@suse.de>
    Jiri Srain <jsrain@suse.cz>

%prep
%setup -n yast2-update-2.17.1

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{prefix}/lib/YaST2/bin/*
/usr/share/YaST2/modules/*
/usr/share/YaST2/clients/inst_rootpart.ycp
/usr/share/YaST2/clients/inst_update.ycp
/usr/share/YaST2/clients/inst_backup.ycp
/usr/share/YaST2/clients/rootpart_proposal.ycp
/usr/share/YaST2/clients/update_proposal.ycp
/usr/share/YaST2/clients/packages_proposal.ycp
/usr/share/YaST2/clients/backup_proposal.ycp
/usr/share/YaST2/clients/inst_update_partition.ycp
/usr/share/YaST2/clients/rootpart_check_keyboard.ycp
/usr/share/YaST2/include/update
/usr/share/YaST2/include/update/rootpart.ycp
%doc %{prefix}/share/doc/packages/yast2-update

%files FACTORY
%defattr(-,root,root)
%{prefix}/share/applications/YaST2/update.desktop
%dir /usr/share/YaST2/control
/usr/share/YaST2/control/update.xml
/usr/share/YaST2/clients/update.ycp
/usr/share/YaST2/clients/run_update.ycp
%changelog
* Mon Aug 04 2008 locilka@suse.cz
- Initializing target as soon as possible (updating running system)
  (bnc #394662).
- 2.17.1
* Wed Jul 30 2008 coolo@suse.de
- fix file list of package
* Thu Jul 24 2008 locilka@suse.cz
- Making possible to upgrade running system using YaST Update even
  if it changes a release (the original/current installation
  repository must be present).
- 2.17.0
* Thu May 29 2008 locilka@suse.cz
- Selecting packages for deletion after PkgApplReset call instead
  of calling it before (bnc #391785).
- 2.16.10
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Tue May 06 2008 locilka@suse.cz
- Removed support for 'delete unmaintained packages' from
  configuration UI as it is no longer supported by libzypp and
  replaced with list of packages to delete defined in control
  file (bnc #300540).
- 2.16.9
* Tue Apr 29 2008 locilka@suse.cz
- Progress for "searching for partitions" (bnc #384707).
- 2.16.8
* Wed Apr 23 2008 locilka@suse.cz
- Added new client for run_update that does the real update, the
  old update client is left to handle command-line or to call
  the new client (bnc #382044).
- Fixed update proposal not to propose two kernels (bnc #382208).
- 2.16.7
* Fri Apr 11 2008 locilka@suse.cz
- Added missing </p> (bnc #377476).
- Changing Accept buttons to OK buttons (FATE #120373).
- 2.16.6
* Fri Mar 21 2008 locilka@suse.cz
- Dropping keep_installed_patches support from control file as it
  is currently handled by libzypp itself (bnc #349533).
* Thu Mar 20 2008 locilka@suse.cz
- Not displaying a pop-up warning when upgrading ppc to ppc64 and
  vice versa. The current check can't really distinguish between
  these two (bnc #372309).
- Fixed spec.in file to get built (@HEADER@ twice).
- 2.16.5
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Wed Jan 16 2008 locilka@suse.cz
- Removed build dependency on yast2-country again - removed
  forgotten import of Keyboard module.
- 2.16.4
* Fri Jan 11 2008 coolo@suse.de
- Fixed build-dependency on yast2-country again
* Fri Jan 04 2008 lslezak@suse.cz
- do not call Pkg::SaveState() and Pkg::RestoreState(), the state
  is saved/restored by the package selector widget
- 2.16.3
* Thu Dec 13 2007 locilka@suse.cz
- Fixed build-dependency on yast2-country.
- 2.16.2
* Thu Dec 06 2007 locilka@suse.cz
- Merged proofread texts.
* Mon Nov 19 2007 locilka@suse.cz
- Unified used terminology (repositories) (FATE #302970).
* Thu Nov 01 2007 locilka@suse.cz
- Update/backup-related variables were moved from Update::* to
  Installation::update_* to remove RPM dependencies.
- 2.16.1
* Thu Nov 01 2007 locilka@suse.cz
- Removed #!BuildIgnore: autoyast2-installation because recent
  changes have already fixed the dependency loop.
* Wed Oct 31 2007 locilka@suse.cz
- installedVersion and updateVersion moved from 'Update' to
  'Installation' YCP module to remove dependencies.
- 2.16.0
* Thu Oct 25 2007 locilka@suse.cz
- Never list duplicate entries in "upgrade based on products" in
  upgrade proposal (#331560).
* Tue Aug 28 2007 locilka@suse.cz
- Update proposal doesn't use recommended Kernel if the package is
  not available (#304646).
- 2.15.23
* Mon Aug 27 2007 locilka@suse.cz
- Calling Storage::DeviceMatchFstab with not-translated device name
  instead of the translated one (Storage::GetTranslatedDevices)
  (#304269).
- 2.15.22
* Thu Aug 23 2007 locilka@suse.cz
- Preselecting new kernel if recommended and installed kernels do
  not match. Removing other kernels but kernel-xen (#302419).
- 2.15.21
* Thu Aug 09 2007 locilka@suse.cz
- Using cryptsetup instead of losetup, patch created by Thomas Fehr
  (#258222).
- 2.15.20
* Wed Aug 01 2007 mvidner@suse.cz
- Removed Provides/Obsoletes for ancient yast package names,
  with the last change they broke yast2-schema build.
- 2.15.19
* Mon Jul 23 2007 locilka@suse.cz
- Package has been split into two: yast2-update and
  yast2-update-FACTORY (System/FACTORY update) (FATE #302017).
- 2.15.18
* Fri Jul 20 2007 locilka@suse.cz
- Added BuildIgnore: autoyast2-installation to break the loop.
- 2.15.17
* Fri Jul 20 2007 locilka@suse.cz
- Removing yast2-add-on and adding yast2-storage to the RPM build
  requirements.
- 2.15.16
* Wed Jul 18 2007 locilka@suse.cz
- Warn user if the /boot partition is too small (less than 64 MB,
  resp. 200 on IA64). User can either cancel updating or confirm
  it despite the risk of possible failure (#258563).
- Fixed update_proposal to warn 'non-mathing versions' only in case
  the update is performed on a running system.
- More debugging for device-names translation during upgrade.
- 2.15.15
* Wed Jul 04 2007 locilka@suse.cz
- Do not let wrong architecture to make partition invalid in case
  of boot-from-partition but make it invalid in case of upgrade
  (#288201).
- 2.15.14
* Mon Jun 04 2007 locilka@suse.cz
- Displaying correct product names (from/to) in the FACTORY update
  proposal in warning message when products don't match (#280145).
- 2.15.13
* Fri May 18 2007 locilka@suse.cz
- System Update icon is back in Control Center (#274064)
- System Update functionality is allowed only when product versions
  are matching (can have a different name). Non-matching product
  means no possibility for System Update.
- Warning is printed when versions match but product names are
  different (#274064).
- System Update temporarily renamed to 'FACTORY Update'.
- 2.15.12
* Thu May 03 2007 lslezak@suse.cz
- Don't display excessive progress popup (#269920)
- 2.15.11
* Wed May 02 2007 locilka@suse.cz
- CommandLine interface support for update script (#269910)
* Wed Apr 18 2007 locilka@suse.cz
- Fixed System Update script (udate.ycp) to use
  Wizard::OpenNextBackStepsDialog instead of OpenNextBackDialog.
* Tue Apr 17 2007 locilka@suse.cz
- Removed System Update icon from YaST Control Center (#265225).
- Removed update-desktop-files from BuildRequires
- 2.15.10
* Wed Apr 11 2007 locilka@suse.cz
- Added icon into Update Options dialog.
- Added help for Update Options summary proposal (#227265).
- System upgrade is now forbidden, only system update is possible.
- Upgrade based on patterns is now more visually understandable
  (#227265).
- 2.15.9
* Thu Apr 05 2007 locilka@suse.cz
- Always call Update::GetProductName translating fstab and
  cryptotab.
- 2.15.8
* Thu Apr 05 2007 locilka@suse.cz
- Fixed reading fstab and cryptotab to always call Storage to
  translate old devices to new ones (#258222).
- Added new popup showing details when fsck.jfs fails.
- 2.15.7
* Tue Mar 13 2007 locilka@suse.cz
- When checking the installed system either for Update or Boot
  Installed System, consider partition valid when inst-sys is PPC
  and installed system is PPC64. Don't be so strict (#249791).
- 2.15.6
* Thu Mar 01 2007 locilka@suse.cz
- Added more logging because of bug #249791.
- Better layout for "Select System or Partition to Boot" dialog.
- 2.15.5
* Mon Feb 26 2007 locilka@suse.cz
- Adding yast2-add-on to BuildRequires.
- Cleaning makefiles from vendor.desktop.
- 2.15.4
* Fri Feb 16 2007 locilka@suse.cz
- Client and desktop file 'vendor' has been moved to a new package
  yast2-add-on-2.15.0 (#238673)
- Removed dependency on yast2-storage (now needed only in inst-sys)
* Thu Feb 15 2007 locilka@suse.cz
- Added two new functions into Update module:
  SilentlyDowngradePackages and KeepInstalledPatches to control
  upgrade process better (FATE #301990, Bugzilla #238488).
- 2.15.3
* Tue Feb 13 2007 locilka@suse.cz
- Client and desktop file 'vendor' has been moved to update from
  installation to minimize RPM dependencies.
- Fixed RootPart code handling the correctness of root partition
  mentioned in /etc/fstab of the updated system. Using new
  Storage::DeviceMatchFstab function from storage (#244117).
- Updating RPM requirements.
* Wed Jan 31 2007 locilka@suse.cz
- Fixed update of system on EVMS: '/dev/abc/xyz' is the same
  as '/dev/evms/lvm2/abc/xyz' (#237139).
- 2.15.2
* Thu Jan 04 2007 locilka@suse.cz
- Added documentation for new features in control file:
  * boolean delete_old_packages and list of products for which this
  rule is inverted (delete_old_packages_reverse_list).
  * boolean only_update_selected and list of products for which
  this rule is inverted (only_update_selected_reverse_list).
  * list of products supported for upgrade
  (products_supported_for_upgrade)
  These new options are defined as lists of regular expressions.
  (All described in FATE #301844)
- Changed dialog for selecting update options to show product-label
  instead of product-name.
- 2.15.1
* Tue Dec 12 2006 locilka@suse.cz
- Better handling of .target.modprobe during update (#223878).
* Mon Dec 04 2006 locilka@suse.cz
- Installation Media (update) proposal: using key "label" instead
  of "productname", which is used as a fallback now (#225256).
- 2.15.0
* Fri Nov 10 2006 locilka@suse.cz
- Removing `ignore button for now (#148105, comments #22-#28).
- 2.14.7
* Thu Nov 09 2006 locilka@suse.cz
- If no base product found, do not complain about imcompatibility.
  This happens only when updating the running system (#218720).
- Changed [Next] button to [Accept] in the update proposal on the
  running system (#219097).
- Checking for RPM Database. Reporting error when it is missing and
  offering `abort, `retry, `ignore (#148105).
- 2.14.6
* Tue Nov 07 2006 locilka@suse.cz
- Removing testsuite for now for not being able to pass it without
  root permissions.
- 2.14.5
* Fri Nov 03 2006 locilka@suse.cz
- Added Pkg::TargetInitialize ("/tmp") into the testsuite to pass
  through the build without root permissions.
- 2.14.4
* Wed Nov 01 2006 locilka@suse.cz
- Fixed regexp to distinguish "major" and "minor" version that
  should have fixed bug #153576. Minor version "3" could have been
  ignored (bug #217013).
- Adding testsuite for Update::GetProductName() function (#153576).
- 2.14.3
* Thu Oct 26 2006 locilka@suse.cz
- Adding "major" and "minor" keys into the update map including
  information From and To which system it is going to update.
  (#153576)
- 2.14.2
* Fri Oct 13 2006 locilka@suse.cz
- Fixed handling of errors in log during update.
- Skipping modprobe for sysfs and proc (both #211916)
- 2.14.1
* Mon Oct 09 2006 locilka@suse.cz
- Merged SLES10 SP1 branch to openSUSE 10.2.
- 2.14.0
* Tue Sep 26 2006 locilka@suse.cz
- Run read-only fsck.jfs before mounting jfs partition (#176292).
- 2.13.36
* Tue Aug 29 2006 locilka@suse.cz
- Better wording for table of partition names to be selected for
  update, added File System column. (#166478)
- 2.13.35
* Tue Aug 22 2006 locilka@suse.cz
- Deprecated builtins replaced with new ones
- 2.13.34
* Fri Aug 11 2006 jsrain@suse.cz
- fixed mounting /var partition during update if root is on md,
  but /var is not (#154915)
* Wed Aug 09 2006 jsrain@suse.cz
- select system patterns also on update (#192002)
* Tue Aug 08 2006 jsrain@suse.cz
- cut off beta version from version read from target system during
  update (#157904)
- 2.13.33
* Tue Aug 01 2006 jsrain@suse.cz
- removed obsolete raidstart command (#195061)
* Wed Jul 26 2006 jsrain@suse.cz
- avoid using deprecated Pkg builtin TargetProducts
* Thu Jun 08 2006 jsrain@suse.cz
- fixed "Reset to Default" function for SW selection (#177469)
- 2.13.32
* Wed Jun 07 2006 jsrain@suse.cz
- updated HTTP link to support portal (#180900)
- 2.13.31
* Mon May 29 2006 jsrain@suse.cz
- display all products to update in proposal (#170233)
- 2.13.30
* Thu May 25 2006 jsrain@suse.cz
- fixed keeping locked packages during upgrade (#177469)
- 2.13.29
* Mon May 22 2006 jsrain@suse.cz
- do not delete unmaintained packages if not wanted by user
  (#176788)
- 2.13.28
* Thu May 11 2006 jsrain@suse.cz
- preselect patterns specified in the content file (#168297)
- 2.13.27
* Wed May 03 2006 jsrain@suse.cz
- fixed selecting product during update (#172164)
- 2.13.26
* Wed Apr 26 2006 jsrain@suse.de
- fixed update proposal with patterns (#168297)
- 2.13.25
* Fri Apr 21 2006 locilka@suse.cz
- calling modprobe with the right parameter (without -t) (#167976)
- 2.13.24
* Thu Apr 20 2006 lslezak@suse.cz
- fixed counting of removed packages (#162963)
- 2.13.23
* Tue Apr 18 2006 jsrain@suse.de
- mount target system in root partition selection dialog (#167240)
- 2.13.22
* Fri Apr 14 2006 jsrain@suse.de
- prevent from returning to root partition selection dialog (#165832)
- 2.13.21
* Thu Apr 13 2006 jsrain@suse.de
- do not remove old kernel - solver handles it (#165823)
- 2.13.20
* Thu Apr 13 2006 locilka@suse.cz
- New counting of packages for the update proposal (#162963).
- 2.13.19
* Wed Apr 12 2006 jsrain@suse.de
- mount /sys before update (#165502)
- 2.13.18
* Wed Apr 12 2006 locilka@suse.cz
- Fixing number of packages marked to be `removed during the update
  (#162963).
- 2.13.17
* Wed Apr 12 2006 schubi@suse.de
- removed Pkg::PkgFreshen();
  Bug 165477 - Build 913: Resolver loops on update from 10.0 to 10.1 (x86_64)
* Tue Apr 11 2006 kkaempf@suse.de
- call PkgFreshen() after calculating Update, not before.
- 2.13.15
* Thu Apr 06 2006 jsrain@suse.de
- do not display hidden patterns in proposal (#159450)
- 2.13.14
* Wed Apr 05 2006 jsrain@suse.de
- call Pkg::PkgFreshen when generating update proposal (#156980)
- 2.13.13
* Thu Mar 30 2006 mvidner@suse.cz
- Don't run the module if another process has the zypp lock (#160319).
- 2.13.12
* Mon Mar 27 2006 jsrain@suse.de
- set correctlty swap partition info during update (#133993)
- 2.13.11
* Thu Mar 23 2006 lslezak@suse.cz
- Display correct amounf of removed packages in the update
  proposal (#154720)
- 2.13.10
* Tue Mar 21 2006 mvidner@suse.cz
- Read version info correctly for pre-10.1 products,
  fixing update with encrypted partitions (#153576).
- 2.13.9
* Thu Mar 16 2006 jsrain@suse.de
- select proper desktop during update (#156632)
- 2.13.8
* Wed Mar 15 2006 fehr@suse.de
- remove calls to Storage::ActivateHld(), they are obsolete and
  could seriously mess up an update involving Software Raid,
  LVM or EVMS
* Wed Mar 15 2006 jsrain@suse.de
- more verbose logging (#133993)
- 2.13.7
* Wed Mar 15 2006 jsrain@suse.de
- load appropriate kernel module before mounting filesystems
  (#157585)
- updated BuildRequiers
- 2.13.6
* Thu Mar 09 2006 jsrain@suse.de
- updated summary for pattern-based update (#155473)
- 2.13.5
* Wed Mar 08 2006 jsrain@suse.de
- fixed pattern handling during update (#153755)
- 2.13.4
* Wed Mar 01 2006 jsrain@suse.de
- display correctly pattern names
* Wed Mar 01 2006 jsrain@suse.de
- allow to do update based on patterns (#153755)
- 2.13.3
* Sun Feb 19 2006 jsrain@suse.de
- don't ask "Try Again" if setting password for encrypted
  filesystem canceled (#144683)
- 2.13.2
* Sun Feb 19 2006 jsrain@suse.de
- fixed unmounting partitions when different root partition
  selected (#148109)
- 2.13.1
* Fri Jan 27 2006 locilka@suse.cz
- merged proofread texts
* Wed Dec 21 2005 visnov@suse.cz
- merged proofread texts
* Fri Dec 16 2005 jsrain@suse.cz
- display list of partitions to update over whole dialog (#137776)
- removed obsolete gnome-{pre|post}install scripts
- 2.13.0
* Tue Nov 29 2005 visnov@suse.cz
- removed yast2-x11 from build dependencies
* Wed Nov 23 2005 jsrain@suse.cz
- show partition label when selecting for update
- 2.12.10
* Fri Nov 11 2005 jsrain@suse.cz
- ask about the language once root partition is mounted (#71069)
- 2.12.9
* Wed Oct 26 2005 jsrain@suse.cz
- do not force kernel upgrade if not necessary (#117461)
* Mon Sep 26 2005 jsrain@suse.cz
- do not ask whether reset detailed software selection if it had
  not been changed (#104579)
* Fri Sep 09 2005 jsrain@suse.cz
- offer to ask for password of crypted partition again if mounting
  failed (#116082)
- 2.12.8
* Thu Aug 18 2005 fehr@suse.de
- changes needed for update with crypted partition (#105020)
- 2.12.7
* Thu Aug 11 2005 jsrain@suse.cz
- fixed buttons in the root partition selection dialog run from
  the proposal (#104038)
- 2.12.6
* Thu Jul 21 2005 fehr@suse.de
- replace obsolete SCR agent calls by call to Storage::ActivateHld()
- 2.12.5
* Thu Jul 21 2005 jsrain@suse.cz
- added root partition selection step to installation workflow
- fixed mounting update target
- 2.12.4
* Fri Jul 15 2005 jsrain@suse.cz
- adapted to new partitioner using storage-lib (arvin)
- 2.12.3
* Mon Jun 06 2005 jsrain@suse.cz
- update product database when finished update (called from within
  installed system (#75231)
- 2.12.2
* Mon May 30 2005 jsrain@suse.cz
- don't remove /var/lib/YaST2/users.ycp during update (#84087)
* Mon Apr 18 2005 jsrain@suse.cz
- adapted to new interfrace of ProductFeatures.ycp
- 2.12.1
* Mon Apr 11 2005 jsrain@suse.cz
- added more descriptive text when dependencies can't be resolved
  automatically (#75312)
* Thu Mar 31 2005 jsrain@suse.cz
- adapted to some code moved to SuSERelease.ycp
* Tue Mar 29 2005 jsrain@suse.cz
- updated the layout of the source files in the repository
- report error from the mount command in case of fail (#72485)
- 2.12.0
* Fri Mar 11 2005 jsrain@suse.cz
- fixed deleting packages marked to keep during update (#45605)
- fixed counting update statistics (#67099)
- fixed reselcting partition with system to update (#71252)
* Fri Mar 04 2005 jsrain@suse.cz
- fixed order of Pkg::PkgUpdateAll and Pkg::PkgSolve calls (#67275)
* Wed Mar 02 2005 jsrain@suse.cz
- merged texts from proofread
* Mon Feb 28 2005 jsrain@suse.cz
- fixed actualizing packages update summary
* Wed Feb 23 2005 jsrain@suse.cz
- fixed coments for translators
* Mon Feb 21 2005 nashif@suse.de
- Added parameter to UnmountPartitions so it can be used
  in autoyast
  V 2.11.13
* Fri Feb 18 2005 jsrain@suse.cz
- check product compatibility if updating running system
- 2.11.12
* Wed Feb 16 2005 jsrain@suse.cz
- display more info about update statistics (#37073)
- 2.11.11
* Mon Feb 14 2005 jsrain@suse.cz
- initialize rebuilddb callbacks during proposal (#50695)
- 2.11.10
* Fri Feb 11 2005 jsrain@suse.cz
- warn in proposal if out-of-disk-space durign update (#50376)
- 2.11.9
* Thu Feb 10 2005 jsrain@suse.cz
- drop message to log if partition cannot be used for upgrade due
  to different architecture (#50656)
- warn user if he selects partition to upgrade, where no system
  was founf or the found system has idifferent architecture
  (#50657)
* Wed Feb 09 2005 jsrain@suse.cz
- do not report errors on unmounting partition if it was unmounted
  successfully (#50619)
* Tue Feb 08 2005 nashif@suse.de
- #49987: Update running system now has its own control file with
  a mini workflow.
* Mon Feb 07 2005 jsrain@suse.cz
- merged texts from proofread
- 2.11.7
* Mon Feb 07 2005 jsrain@suse.cz
- display total size of packages to be updated
- 2.11.6
* Tue Feb 01 2005 jsrain@suse.cz
- report error if unmounting fails to user (#50377)
- recalculate disk usage during update proposal (#50376)
* Mon Jan 24 2005 nashif@suse.de
- Fixed calling of inst_proposal
* Mon Jan 17 2005 jsrain@suse.cz
- offer actions to do if mount of a partition fails (#46310)
* Tue Jan 11 2005 jsrain@suse.cz
- inform user about new kernel installed if update run from control
  center (#38346)
* Mon Jan 10 2005 jsrain@suse.cz
- select kernel according to current hardware (#44342)
* Wed Nov 24 2004 arvin@suse.de
- another fix for gnome-postinstall script (bug #42074)
* Thu Nov 11 2004 arvin@suse.de
- always use Directory::logdir
* Wed Oct 27 2004 arvin@suse.de
- adapted to new Mode.ycp
* Tue Oct 19 2004 kkaempf@suse.de
- fix gnome.postinstall (#46870, #47351)
* Thu Sep 30 2004 arvin@suse.de
- always include at least empty raw_proposal (see bug #46411)
* Thu Sep 30 2004 arvin@suse.de
- partly workaround for bug #42074
* Mon Sep 20 2004 arvin@suse.de
- use Storage::GetOndiskTarget where appropriate
* Mon Sep 20 2004 arvin@suse.de
- fixed unmounting when switching from update to installation
* Thu Sep 16 2004 arvin@suse.de
- fixed target map computation and thus bootloader update
  (bug #45332)
* Tue Sep 14 2004 arvin@suse.de
- try to mount partitions even when the device names have changed
  (bug #44286)
* Thu Sep 09 2004 arvin@suse.de
- fixed proposal for update from running system
* Wed Sep 08 2004 arvin@suse.de
- fixed mounting of partitions with UUID (bug #44770)
* Tue Sep 07 2004 arvin@suse.de
- don't use product information from Update module in RootPart
  module but instead gather it oneself (bug #44724)
* Mon Sep 06 2004 arvin@suse.de
- major cleanup of RootPart.ycp in preparation for bug #44286
* Thu Sep 02 2004 arvin@suse.de
- add kernel's nongpl package during installation (bug #44394)
* Fri Aug 27 2004 arvin@suse.de
- merged proof read messages
* Fri Aug 13 2004 nashif@suse.de
- added yast2-xml to neededforbuild
- 2.10.5
* Thu Jul 29 2004 nashif@suse.de
- When reusing fstab in autoyast, format is set to false by default
- Removed unused variables
- 2.10.4
* Tue Jul 20 2004 arvin@suse.de
- better text in update proposal (bug #38506)
* Tue Jul 20 2004 arvin@suse.de
- renamed Update::onlyUpdateSelected to onlyUpdateInstalled
  (bug #38486)
* Thu May 27 2004 arvin@suse.de
- used original target map during update (bug #41250)
* Wed May 12 2004 arvin@suse.de
- only update selections if the user did not make an manual
  interaction (bug #40358)
* Tue May 04 2004 arvin@suse.de
- merged proofread messages
* Thu Apr 29 2004 arvin@suse.de
- handle renaming of device names on iseries (bug #39437)
* Mon Apr 19 2004 kkaempf@suse.de
- update gnome-postinstall script (#38644)
* Tue Apr 06 2004 nashif@suse.de
- Use product feature value for update/upgrade (#38486)
* Tue Apr 06 2004 arvin@suse.de
- added error popup for wrong device of root partition in fstab
* Mon Apr 05 2004 arvin@suse.de
- load module dm-snapshort at to prevent hangs if LVM contains
  snapshot LVs (#36422)
* Fri Apr 02 2004 arvin@suse.de
- finally changed license to GPL for good
* Wed Mar 31 2004 kkaempf@suse.de
- Support for /usr/local in gnome-postinstall. (sbrabec@suse.cz)
* Thu Mar 25 2004 arvin@suse.de
- change for new crypto handling
- better structured data about old and new version
* Tue Mar 23 2004 arvin@suse.de
- load dm-mod instead of lvm-mod when searching for root
  partition (bug #36784)
* Tue Mar 16 2004 kkaempf@suse.de
- add clean up scripts for GNOME (#36196)
* Tue Mar 16 2004 nashif@suse.de
- Dont format list partitions (autoinst mode)
* Mon Mar 15 2004 arvin@suse.de
- adapted to changed mode stuff
* Fri Mar 12 2004 nashif@suse.de
- add function to format/mount partitions using installed
  fstab to be used for auto-installation.
* Wed Mar 10 2004 arvin@suse.de
- maybe fixed root partition detection
* Thu Mar 04 2004 arvin@suse.de
- handle ProductFeatures::delete_old_packages (bug #35235)
* Wed Mar 03 2004 arvin@suse.de
- correctly initialize old product name during update
* Tue Mar 02 2004 visnov@suse.cz
- added type info for lists/maps
* Sat Feb 28 2004 kkaempf@suse.de
- fix typo from last change
* Fri Feb 27 2004 arvin@suse.de
- initialize old product name during update
* Thu Feb 26 2004 nashif@suse.de
- Changed proposal file name proposal_* to *_proposal
* Wed Feb 25 2004 arvin@suse.de
- also detect RHAS (bug #34983)
* Tue Feb 24 2004 arvin@suse.de
- readded update in running system (bug #34538)
- set default to "only update" when updating in running system
* Thu Feb 19 2004 mvidner@suse.cz
- changed sort to use "<" instead of "<=" because of the switch
  to std::sort
* Tue Feb 10 2004 arvin@suse.de
- fixed missing argument in proposal_packages.ycp
* Mon Jan 19 2004 arvin@suse.de
- united inst_rpmcopy.ycp and inst_rpmupdate.ycp
* Fri Jan 16 2004 arvin@suse.de
- restore callbacks after slideshow
* Mon Sep 29 2003 arvin@suse.de
- removed module for update from running system (bug #31824)
* Thu Sep 18 2003 kkaempf@suse.de
- if there are replacements for installed selections, use them
  (#31211)
* Wed Sep 17 2003 arvin@suse.de
- activate lvm while searching for root partitions (bug #30723)
- use real partition table during search for root partitions
* Tue Sep 16 2003 kkaempf@suse.de
- when upgrading to new base selection, first activate the
  selection, then do the update loop. (part of #31001)
* Tue Sep 16 2003 arvin@suse.de
- fixed backup of /etc/rc.config.d
* Mon Sep 15 2003 msvec@suse.cz
- another missing translation mark
- 2.8.21
* Mon Sep 15 2003 arvin@suse.de
- fixed backup of /etc/rc.config
* Sun Sep 14 2003 arvin@suse.de
- rewrote selection handling (bug #30460 and hopefully many more)
* Fri Sep 12 2003 arvin@suse.de
- more or less ignore conflict during update (workaround for
  bug #30550)
* Fri Sep 12 2003 arvin@suse.de
- update mode for package selector is back (bug #29906)
* Thu Sep 11 2003 kkaempf@suse.de
- move Pkg::SetLocale() to Packages::Init() (#30438)
* Thu Sep 11 2003 arvin@suse.de
- try to backup /etc/rc.config if /etc/sysconfig doesn't exist
  (bug #30482)
* Tue Sep 09 2003 kkaempf@suse.de
- Fallback to highest ordered base selection if the installed base
  selection doesn't have a counterpart. (#29904)
- 2.8.14
* Mon Sep 08 2003 arvin@suse.de
- sync rpm database
* Thu Sep 04 2003 arvin@suse.de
- added space check (bug #29705)
* Wed Sep 03 2003 arvin@suse.de
- activate md and lvm
* Mon Sep 01 2003 arvin@suse.de
- avoid leading "/mnt" in backup of /etc/sysconfig
* Sun Aug 31 2003 arvin@suse.de
- use Popup::ConfirmAbort
* Fri Aug 29 2003 arvin@suse.de
- install callbacks for converting rpm database (bug #29484)
* Fri Aug 29 2003 arvin@suse.de
- show error when media is broken (bug #29489)
* Tue Aug 26 2003 arvin@suse.de
- solve errors cause a blocker during update (bug #29320)
* Fri Aug 22 2003 arvin@suse.de
- only run inst_rpmupdate during update
* Tue Aug 19 2003 arvin@suse.de
- removed obsolete include
* Wed Aug 13 2003 arvin@suse.de
- fixed detection of root partitions (bug #28719)
* Mon Jul 28 2003 arvin@suse.de
- ignore read-only option when mounting partitions for update
  (part of several bug reports)
* Wed Jul 16 2003 arvin@suse.de
- remove old yast stuff (e.g. you files) before running update
* Tue Jul 15 2003 arvin@suse.de
- make backup (archive) of /etc/sysconfig (bug #25283)
- allow user to remove old backups
* Thu Jul 10 2003 arvin@suse.de
- fixed help text for dialog to select root partition (bug #8014)
* Thu Jul 10 2003 arvin@suse.de
- only offer systems with same architecture as installation
  medium for update (bug #25377)
* Fri Jul 04 2003 arvin@suse.de
- allow selection of all root partition (bug #16643)
* Fri Jul 04 2003 arvin@suse.de
- convert update workflow into a proposal
* Tue Mar 18 2003 kkaempf@suse.de
- Set Mode::update so Bootloader clean old boot configuration
  (i.e. removing dropped modules from initrd) correctly.
- 2.7.15
* Tue Mar 18 2003 kkaempf@suse.de
- remove old (defective) list of still-to-be-installed source
  rpms (#25578)
- rename "Boot" to "Bootloader" (#25558)
- 2.7.14
* Tue Mar 18 2003 kkaempf@suse.de
- remove unneeded import "Boot" from update.ycp
- 2.7.13
* Tue Mar 18 2003 sh@suse.de
- Fixed complaints about undeclared variable Upgrade::userChangedState
  (it's Update::userChangedState)
* Mon Mar 17 2003 kkaempf@suse.de
- if no product can be determined, use /etc/*-release
- 2.7.11
* Sun Mar 16 2003 kkaempf@suse.de
- move the "seen_details" flag to the global Update module (#24927)
- 2.7.10
* Fri Mar 14 2003 kkaempf@suse.de
- if user was in single package selection, he has seen the
  details (#24927)
- 2.7.9
* Fri Mar 07 2003 arvin@suse.de
- only search for root partition on partitions with file system
  we know about (bug #24740)
* Wed Mar 05 2003 kkaempf@suse.de
- check "selection changed by user" status better (#23616).
* Tue Mar 04 2003 kkaempf@suse.de
- default to 'delete packages without replacement' during
  update (#24534)
- 2.7.6
* Mon Mar 03 2003 arvin@suse.de
- once more merged proofread texts
* Mon Feb 24 2003 kkaempf@suse.de
- fix logfile name in error popup (#24188)
* Wed Feb 12 2003 kkaempf@suse.de
- remove "/usr/share/info/dir" on target if not owned by
  any package (#23555)
* Mon Feb 10 2003 arvin@suse.de
- merged proofread messages
* Fri Feb 07 2003 arvin@suse.de
- merged proofread messages
* Tue Nov 05 2002 kkaempf@suse.de
- close initial dialog window properly (#21377)
- 2.6.23
* Fri Sep 13 2002 lslezak@suse.cz
- propagate info about all partitions to Storage:: at update
- version 2.6.22
* Fri Sep 13 2002 lnussel@suse.de
- write /var/lib/YaST2/backup_path so info about backups doesn't get lost after
  reboot (#19629)
- 2.6.21
* Fri Sep 13 2002 fehr@suse.de
- fix another code path where to propagate info about root partition
- 2.6.20
* Thu Sep 12 2002 fehr@suse.de
- propagate info about root partition for update to Storage module
- make update on md partition work
- remove keyboard handling stuff was wrong anyway, keyboard is now
  set at start of installation in inst_language
- 2.6.19
* Thu Sep 12 2002 kkaempf@suse.de
- set selection if user accepts default.
- init space calculation (#19548)
- 2.6.18
* Thu Sep 12 2002 kkaempf@suse.de
- set locale in package manager (#19536)
- 2.6.17
* Thu Sep 12 2002 kkaempf@suse.de
- check vfstype for "proc", not "spec". Older systems have
  a different fstab.
- show installed product if called from running system.
- 2.6.16
* Thu Sep 12 2002 kkaempf@suse.de
- implement save/restore for package selection
* Wed Sep 11 2002 kkaempf@suse.de
- neutralize "cups" during update
- 2.6.15
* Wed Sep 11 2002 kkaempf@suse.de
- fix syntax error
- 2.6.14
* Wed Sep 11 2002 kkaempf@suse.de
- pass "update_installed_only" to solver
- 2.6.12
* Tue Sep 10 2002 arvin@suse.de
- added provides/obsoletes y2t_update (bug #19325)
* Tue Sep 10 2002 kkaempf@suse.de
- convert runlevel if update 7.0 or older
- 2.6.11
* Mon Sep 09 2002 kkaempf@suse.de
- add script to update passwd and groups so both include
  the minimal set of required entries
- drop "noarch"
- 2.6.10
* Mon Sep 09 2002 kkaempf@suse.de
- drop Save/Restore from Update, it's done via "remaining"
  and inst_rpmcopy.
- 2.6.9
* Sat Sep 07 2002 kkaempf@suse.de
- drop user choosing of kernel, that's possible in package UI
- force installation of new kernel if running from inst-sys
- 2.6.8
* Fri Sep 06 2002 kkaempf@suse.de
- forceUpdate not needed any more.
- 2.6.7
* Fri Sep 06 2002 kkaempf@suse.de
- clean up code, use yast2-packager after restart
- 2.6.6
* Fri Sep 06 2002 kkaempf@suse.de
- write update status for restart
- 2.6.5
* Thu Sep 05 2002 kkaempf@suse.de
- use Pkg:: functions for rpm backup
- implement rebuilddb callback
- call PkgSolve
- properly init slide show
- write remaining list so inst_rpmcopy can take over
- 2.6.4
* Wed Sep 04 2002 kkaempf@suse.de
- re-add inst_* modules from update in order to keep
  textdomains apart (#18876)
- 2.6.3
* Wed Sep 04 2002 msvec@suse.cz
- provide the old client name temporarily for compatibility
- 2.6.2
* Wed Sep 04 2002 msvec@suse.cz
- provide/obsolete old translation packages
- rename clients from sw_update to simply update
- 2.6.1
* Tue Jul 09 2002 mvidner@suse.cz
- fixed Provides/Obsoletes.
* Tue Jul 02 2002 kkaempf@suse.de
- rename to yast2-update.
* Mon Mar 25 2002 schubi@suse.de
- Calling mk_initrd and lilo after updating kernel #15443
* Fri Mar 08 2002 gs@suse.de
- Read the package information always from source medium, don't
  use locally saved description (bug #14612)
* Mon Feb 18 2002 gs@suse.de
-  Create the initial dialog for Change source (bug #13464)
* Tue Feb 12 2002 schubi@suse.de
- Showing SuSEConfig correctly.
* Tue Feb 12 2002 schubi@suse.de
- user_settings and PKGINFO calls removed
* Tue Sep 18 2001 schubi@suse.de
- InstMedia initialized
* Fri Sep 14 2001 schubi@suse.de
- unmounting Medium correctly before exit #10555
* Thu Sep 06 2001 kkaempf@suse.de
- properly mount/unmount medium.
* Mon Aug 20 2001 gs@suse.de
- internal: remove deprecated agent calls
* Fri Jul 20 2001 schubi@suse.de
- error popup with right language #8375
* Thu May 10 2001 gs@suse.de
- missing include "common_functions.ycp" added (bug # 8003)
* Mon May 07 2001 sh@suse.de
- Use new UI(`GetLanguage()) parameter
* Tue Apr 17 2001 gs@suse.de
- rename of translation package
* Fri Apr 13 2001 gs@suse.de
- internal: use of report_architecture
* Fri Apr 06 2001 gs@suse.de
- package rename, use of common popups
* Tue Jan 23 2001 kkaempf@suse.de
- added proper textdomain call
* Fri Jan 12 2001 schubi@suse.de
- Reading targetroot via SCR
* Thu Jan 11 2001 schubi@suse.de
- bugfix 5502
* Thu Jan 11 2001 schubi@suse.de
- Global variables added
* Wed Jan 10 2001 schubi@suse.de
- Bugfix in changing installtion-medium
* Thu Jan 04 2001 kkaempf@suse.de
- fix Requires field
* Thu Jan 04 2001 kkaempf@suse.de
- declare needed global vars correctly
* Wed Dec 13 2000 schubi@suse.de
- new menue-entry
* Wed Dec 13 2000 schubi@suse.de
- YaST2 version read and stored into global variable
* Wed Dec 13 2000 schubi@suse.de
- targetroot reading per SCR
* Thu Nov 02 2000 gs@suse.de
- initial version
